com.io7m.jcanephora.cursors

## Interface JCGLRGBA8UWritableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    JCGLRGBA8UType
  All Known Implementing Classes:
    JCGLRGBA8UByteBuffered

      public interface JCGLRGBA8UWritableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The writable interface to values of the `JCGLRGBA8UWritableType` packed type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `set(int r, int g, int b, int a)` Set the value of all fields.
    `void` | `setA(int x)` Set the value of the `a` field.
    `void` | `setB(int x)` Set the value of the `b` field.
    `void` | `setG(int x)` Set the value of the `g` field.
    `void` | `setR(int x)` Set the value of the `r` field.

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### setR

          void setR(int x)

      Set the value of the `r` field. The 8 least significant bits of `x` will be used.
      Parameters:
        `x` - The new value

    - #### setG

          void setG(int x)

      Set the value of the `g` field. The 8 least significant bits of `x` will be used.
      Parameters:
        `x` - The new value

    - #### setB

          void setB(int x)

      Set the value of the `b` field. The 8 least significant bits of `x` will be used.
      Parameters:
        `x` - The new value

    - #### setA

          void setA(int x)

      Set the value of the `a` field. The 8 least significant bits of `x` will be used.
      Parameters:
        `x` - The new value

    - #### set

          void set(int r,
                   int g,
                   int b,
                   int a)

      Set the value of all fields.
      Parameters:
        `r` - The value for field `r`
        `g` - The value for field `g`
        `b` - The value for field `b`
        `a` - The value for field `a`

Copyright © 2016 <code@io7m.com> http://io7m.com